;
(function () {
	'use strict';
	const EventEmitter = require('myevents');

	angular.module('app.controllers')
		.controller("appController", appController);
	appController.$inject = ['$scope', '$state'];
	function appController($scope, $state) {
		let tip_loading = 0;
		EventEmitter.on('ajax_errorx', function (err, t) {
			console.log(err, t)
			layer.msg('请求错误!');
		});
		EventEmitter.on('sign_error', function (msg) {
			layer.msg('请重新登录!');
		});
		EventEmitter.on('notice', function (msg) {
			layer.msg(`${msg}`);
		});
		EventEmitter.on('ajax_before', function (msg) {
			tip_loading = layer.load(1);
		});
		EventEmitter.on('ajax_complete', function (msg) {
			layer.close(tip_loading)
		});

		$state.go("storage.index", {});
	}
})();